Bug 1384174 - qgis-grass requires grass-libs-7.0.3-1 components
Summary: qgis-grass requires grass-libs-7.0.3-1 components
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qgis
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 17:57 UTC by nicolas.vieville
Modified: 2019-01-09 12:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:24:28 UTC


Attachments (Terms of Use)

Description nicolas.vieville 2016-10-12 17:57:21 UTC
Description of problem:

Last Fedora 24 upgrade bumped grass to 7.0.4-2.fc24 from 7.0.3-1.fc24, but qgis-grass-2.14.3-5.fc24 stills depend on grass-libs-7.0.3-1.fc24, so no update is possible unless removing qgis-grass.

Version-Release number of selected component (if applicable):
See above.

How reproducible:
If grass-7.0.3-1.fc24 is installed, install qgis-grass-2.14.3-5.fc24, then try to "dnf upgrade" Fedora 24.
If grass-7.0.4-2.fc24 is installed, try to install qgis-grass.

Steps to Reproduce:
See above.

Actual results:
qgis-grass is not installable with last grass packages.

Expected results:
qgis-grass package should be kept (or upgraded) on system each time grass is upgraded. 

Additional info:
Maybe it should be possible to make these packages dependent one from the other in the package build process, or avoid the dependencies based on libraries versions (generic symlink libgrass_xxx.so to libgrass_xxx.7.0.3.so instead of libgrass_xxx.7.0.3.so dependencies for example). This is only one suggestion, but I'm probably wrong.

Hope this could be fixed.

Cordially,


-- 
NVieville

Comment 1 Jiri Kastner 2016-10-17 06:46:29 UTC
i just met this too. i have installed qgis-grass and dnf refuse to update grass.

grass has weird versioning (version placing) of libraries:
libgrass_gis,7.0.3.so instead of libgrass_gis.so.7.0.3 and libgrass_gis.so.7 link to it.

so maybe it is more grass bug not qgis bug

Comment 2 Volker Fröhlich 2016-12-30 11:06:43 UTC
The comma issue is apparently gone in the 7.0.4 packages.

Comment 3 Fedora Update System 2016-12-30 11:09:57 UTC
qgis-2.14.3-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce2d38e484

Comment 4 nicolas.vieville 2016-12-30 13:38:01 UTC
Hello,

Since the first bug report (2016-10-12), I upgraded Fedora to F-25. Trying to install qgis-grass today on F-25 didn't failed. For information here is the list of the installed packages (on F-25):

grass.x86_64       7.0.4-2.fc25
grass-libs.x86_64  7.0.4-2.fc25
qgis.x86_64        2.14.3-5.fc25
qgis-grass.x86_64  2.14.3-5.fc25

Don't know if this still accurate because of the Fedora upgrade.
Is Jiri Kastner still concerned by this issue?
For my part, this bug report can be closed tanks to the upgrade probably.

Cordially,


-- 
NVieville

Comment 5 Fedora Update System 2016-12-31 09:51:34 UTC
qgis-2.14.3-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce2d38e484

Comment 6 Fedora End Of Life 2017-07-25 23:27:06 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 19:24:28 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.